import java.time.LocalDateTime;
import java.util.ArrayList;

public class Flight {
    private int idFlight;

    private String nameOfFlight;
    private LocalDateTime timeOfFlight;

    private Airplane airplane;
    private ArrayList<Pilot> pilots;

    private Airport startDestination;
    private Airport finalDestination;

    private int flightLenghtHour;
    private int flightLenghtMinutes;

    public Flight(int idFlight, String nameOfFlight, LocalDateTime timeOfFlight, Airplane airplane, Airport startDestination, Airport finalDestination, int flightLenghtHour, int flightLenghtMinutes) {
        this.idFlight = idFlight;
        this.nameOfFlight = nameOfFlight;
        this.timeOfFlight = timeOfFlight;
        this.airplane = airplane;
        this.startDestination = startDestination;
        this.finalDestination = finalDestination;
        this.flightLenghtHour = flightLenghtHour;
        this.flightLenghtMinutes = flightLenghtMinutes;
        this.pilots = new ArrayList<>();

    }

    public void addPilotToFlight(Pilot pilot)
    {
        pilots.add(pilot);
    }

    public Airplane getAirplane() {
        return airplane;
    }

    public String getPilotsNameOnFlight() {
        String listOfPilotsName = "";
        for (Pilot pilot: this.pilots)
        {
            listOfPilotsName += pilot.getName() + "\n";
        }
        return listOfPilotsName;
    }
}
