import java.util.ArrayList;

public class Pilot {
    public int idPilot;
    public String name;
    public ArrayList<AirplaneType> airplaneCertificated;
    public int yearOfBirth;
    public int startWork;
    public ArrayList<Flight> flights;

    public Pilot(int idPilot, String name, int yearOfBirth, int startWork) {
        this.idPilot = idPilot;
        this.name = name;
        this.yearOfBirth = yearOfBirth;
        this.startWork = startWork;
        this.airplaneCertificated = new ArrayList<>();
        this.flights = new ArrayList<>();
    }

    public void addFlightToPilot (Flight flight)
    {
        flights.add(flight);
    }

    public void setCertification(AirplaneType newLicenseForPilot) {
        airplaneCertificated.add(newLicenseForPilot);
    }

    public boolean isPilotCertificatedOn(AirplaneType typeOfAirplaneOnFlight)
    {
        //ZDE IMPLEMENTUJ
        // Pilot má u sebe seznam typů letadel, na které má certifikaci.
        // Platné certifikace si v paměti drží v ArrayListu typu <AirplaneType> s názvem "airplaneCeritficated".
        // AirplaneType je pak definovaný v enumu AirplaneType, tzn. může nabývat pouze hodnot, které jsou v tomto enumu.
        // Do funkce vstupuje proměnná typu AirplaneType "typeOfAirplaneOnFlight", která také může nabývat pouze hodnot v enumu AirplaneTypes.
        // Vašim úkolem je najít správnou funkci ArrayListu, která vrací boolean.
        // Tato funkce by měla umět zjistit, zda u těchto vnitřních proměnných je v airplaneCertificated
        // obsažena právě certifikace na typ letadla vstupující do této funkce v proměnné "typeOfAirplaneCertificated"
        // Výsledný boolean pak vrať pomocí příkazu return


        // Až dostaneš správnou proměnnou, nezapomeň jí vrátit zpět pomocí příkazu return!
    }

    public String getName() {
        return name;
    }
}
